### Steps to run it

https://arduino-esp8266.readthedocs.io/en/latest/ota_updates/readme.html

##### create "include/wifi_credentials.h"

```cpp
#ifndef __WIFI_CREDENTIALS_H
#define __WIFI_CREDENTIALS_H

#ifndef STASSID
#define STASSID "ssid"
#define STAPSK  "key"
#endif

#endif // __WIFI_CREDENTIALS_H
```

##### platformio.ini
see templ_platformio_ini

```ini
[env:<BOARD>]
platform = espressif8266
board = <BOARD>
framework = arduino
monitor_speed = 115200

extra_scripts = pre:extra_script.py

; stuff for OTA 
; https://docs.platformio.org/en/latest/platforms/espressif8266.html#over-the-air-ota-update
upload_protocol = espota
upload_port = <IPADRESS>
upload_flags =
  --port=8266
  --auth=admin
```

